# Smart Energy Management System

## About project

- **Name**: Smart Energy Management System
- **Developers**:
    - Marek Skácelík - _Project Leader_ @xskacel
    - Anesa Fazlagić @xfazlag
    - Filip Bugoš @xbugos
    - Miroslav Rouča @xrouca
- **Assigment**:
    - The system will allow users to manage the smart meter devices at home. For a user, it will be possible to set different smart meters for the different houses they own/rent, and track the power consumption statistics over time that is collected automatically. They can track the power consumption of different devices in different time of the day (e.g., at night). They can also shut down the power to one of their houses through the system, when power is not needed. The power distribution company can consult the power consumption statistics over period of times of all the users registered into the system.

## Modules
  - **Core**
    - Main module
  - **Statistics**
    - Getting power consumption statistics
  - **Email**
    - Sending emails from the system
  - **Electricity Price**
    - Getting electricity price in current time (high or low tariff)

## Roles

System has three authorization roles - **Admin**, **Power Distribution Company Employee** and **Smart Energy User**.

- Admin has full permissions in the system.
- Power distribution company employee can add or modify smart devices for the company and get the houses' power consumption statistics.
- Smart energy users manage smart devices in their houses. They can add devices to the house and then get power consumption statistics. They can also shut down the power for the smart device in the house.

## Use Case diagram

![](images/UseCase.jpg)

## Class diagram

![](images/ClassDiagram.jpg)

## Docker

To run contanariazed application run the command in root folder:

    docker-compose up

End application with command:

	docker-compose down

After updates in code run command:

	docker-compose down --rmi all

Now you can run compose up with code updates :).
Service ports are not changed.


If you want to run core microservice locally, run postgres with adminer by following steps:

	- cd ./core
	- docker-compose up

If you want to run statistics microservice locally, run postgres with adminer by following steps:

	- cd ./core
	- docker-compose up

Adminer is a soft enabling developers to view postgres db.
It runs on port defined in docker compose file.
Sign up with adminer with this config.:

	system <postgresql>
	server: <name_of_the_container_db>
	username: <username_defined_in_docker_compose_file>
	password: <password_defined_in_docker_compose_file>
	db: (stays empty)
