package cz.muni.fi.pa165.core.smartmeter;

import cz.muni.fi.pa165.core.common.DomainService;
import lombok.Getter;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class SmartMeterService extends DomainService<SmartMeter> {

  @Getter
  private final SmartMeterRepository repository;

  public SmartMeterService(SmartMeterRepository smartMeterRepository) {
    this.repository = smartMeterRepository;
  }

  @Transactional(readOnly = true)
  public SmartMeter findByName(String name) {
    return getRepository()
            .findByName(name)
            .filter(entity -> entity.getDeletedAt() == null)
            .orElse(null);
  }

}
